#include<bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    
    int n, q;
    cin >> n;
    vector<int> a(n);
    cin >> q;
    while(q--){
        int t, k, x;
        cin >> t;
        if(t == 0){
            cin >> k;
        }
        else{
            cin >> k >> x;
            cout << 0;
        }
    }
    
    return 0;
}